Page MenuHomePhabricator

there is no comfortable way to insert a new category in ContentTranslation
Closed, ResolvedPublic

Description

ContentTranslation only adapts a category if there's a directly corresponding one in the target language.

It should be possible to add a category, manually, too.

Related Objects

StatusAssignedTask
Resolvedsanthosh
ResolvedNone
ResolvedAmire80
InvalidNone
OpenAmire80
DeclinedNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Opensanthosh
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Amire80 created this task.May 9 2016, 11:30 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 9 2016, 11:30 AM
Amire80 triaged this task as Normal priority.May 19 2016, 4:20 PM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.

Change 333894 had a related patch set uploaded (by Santhosh):
Category adaptation and display, add new categories to translation

https://gerrit.wikimedia.org/r/333894

As per the above patch, the UI looks like

It allows arbitrary text to be typed there, press enter to add as new category. Existing (auto adapted) categories can be removed and re-added using the drop down.

Question:

  1. Should we allow arbitrary text as new categories?
  2. Is this UI ok or should we have an additional Category search input widget to pick existing/non -existing categories?

@Pginer-WMF ^^

santhosh updated the task description. (Show Details)Jan 25 2017, 5:57 AM

Question:

  1. Should we allow arbitrary text as new categories?

I think we can keep this focused on adding existing categories. Creating a new category probably requires additional support that we may want to think in more detail (e.g., checking existing categories, making it easy to create the categories that exist in the source but not in the target, etc.)

  1. Is this UI ok or should we have an additional Category search input widget to pick existing/non -existing categories?

This is good for the selection of existing categories. Some additional considerations:

  • A text placeholder (with "add category" text) would help to announce the way to add a category (mockup below).
  • The list should include only categories that have not been added before. I'd not use the same list to remove categories, just to add them. This simplifies operation.
  • If some of the initial categories (those adapted from the source article) are removed, it makes sense to include those as suggested in the initial list to facilitate users to add them back.

I'd not reuse this pattern to create new categories implicitly. I think this can be extended with an explicit option to create a new category, but that requires a better understanding on the process in my opinion, so we may want to have a separate ticket if this is a scenario we want to support.

Change 353215 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Categories: Use MenuTagMultiselectWidget widget

https://gerrit.wikimedia.org/r/353215

Improved it using OO.ui.MenuTagMultiselectWidget

Improved it using OO.ui.MenuTagMultiselectWidget

Looks good. The only issue I see is that the "X" icon is too close to the text label. Being it a standard component, I'm not sure what makes that to be different in this particular context.

Change 353215 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Categories: Use MenuTagMultiselectWidget widget

https://gerrit.wikimedia.org/r/353215

@santhosh This seems to be resolved, right?

Petar.petkovic closed this task as Resolved.Mar 2 2018, 11:34 PM
Petar.petkovic assigned this task to santhosh.
Petar.petkovic removed a project: Patch-For-Review.
Petar.petkovic added a subscriber: Petar.petkovic.

All the work on adding new categories is to be done for CX2, as part of T188615.